# Workspaces

set $ws1 "1: Dev"
set $ws2 "2: Firefox"
set $ws3 "3: Management"
set $ws4 "4"
set $ws5 "5"
set $ws6 "6"
set $ws7 "7: Music"
set $ws8 "8"
set $ws9 "9"
set $ws10 "10"

bindsym $mod+1 workspace number $ws1
bindsym $mod+2 workspace number $ws2
bindsym $mod+3 workspace number $ws3
bindsym $mod+4 workspace number $ws4
bindsym $mod+5 workspace number $ws5
bindsym $mod+6 workspace number $ws6
bindsym $mod+7 workspace number $ws7
bindsym $mod+8 workspace number $ws8
bindsym $mod+9 workspace number $ws9
bindsym $mod+0 workspace number $ws10

bindsym $mod+Shift+1 move container to workspace number $ws1
bindsym $mod+Shift+2 move container to workspace number $ws2
bindsym $mod+Shift+3 move container to workspace number $ws3
bindsym $mod+Shift+4 move container to workspace number $ws4
bindsym $mod+Shift+5 move container to workspace number $ws5
bindsym $mod+Shift+6 move container to workspace number $ws6
bindsym $mod+Shift+7 move container to workspace number $ws7
bindsym $mod+Shift+8 move container to workspace number $ws8
bindsym $mod+Shift+9 move container to workspace number $ws9
bindsym $mod+Shift+0 move container to workspace number $ws10

# assign [class="firefox"] $ws2
assign [class="Spotify"] $ws7

exec --no-startup-id i3-msg 'workspace $ws2; exec firefox'
exec --no-startup-id i3-msg 'workspace $ws1; exec kitty; $ws1'

# Multiple monitors

workspace $ws1 output DP-1-3 eDP-1
workspace $ws2 output eDP-1 DP-1-3
workspace $ws3 output eDP-1 DP-1-3
workspace $ws4 output DP-1-3 eDP-1
workspace $ws5 output eDP-1
workspace $ws6 output eDP-1
workspace $ws7 output eDP-1
workspace $ws8 output eDP-1

# exec_always --no-startup-id xrandr --output eDP-1 --primary --mode 1920x1080 --pos 1920x903 --rotate normal --output DP-1-3 --mode 1920x1200 --pos 0x0 --rotate normal
# bindsym $mod+m exec --no-startup-id xrandr --output eDP-1 --primary --mode 1920x1080 --pos 1920x903 --rotate normal --output DP-1-3 --mode 1920x1200 --pos 0x0 --rotate normal
# # bindsym $mod+m exec --no-startup-id xrandr --output HDMI2 --auto --right-of eDP1


# Normal stuff

exec_always --no-startup-id "picom --config ~/.config/picom/picom.conf"
exec_always --no-startup-id ~/.config/polybar/launch.sh &

exec_always --no-startup-id feh --bg-scale ~/.config/i3/wallpapers/mountains.jpg

for_window [class="^.*"] border pixel 3
default_floating_border none
default_floating_border normal 0
hide_edge_borders smart

gaps inner 20
smart_gaps on
